swagger: "2.0"

info:
  version: 10.1.2
  title: Obter dados de pessoa do HCM.
  description: "Obtém dados de pessoa do HCM."
  contact:
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "BPM - Fonte de dados"
  - name: "HCM - Fonte de dados"

paths:
  /hcm-get-person:
    post:
      description: "Obtém dados de pessoa."
      deprecated: false

definitions:
  bodyData:
    type: object
    properties:
      personId:
        type: string
        description: "Identificador da pessoa."

  outputData:
    type: object
    properties:
      name:
        type: string
        description: "Nome completo."
      firstName:
        type: string
        description: "Primeiro nome."
      lastName:
        type: string
        description: "Último nome."
      middleName:
        type: string
        description: "Nome do meio."
      username:
        type: string
        description: "Nome de usuário."
      cpf:
        type: string
        description: "CPF."
      race:
        type: string
        description: "Etinia."
      nickname:
        type: string
        description: "Apelido."
      gender:
        type: string
        description: "Gênero."
      maritalStatus:
        type: string
        description: "Estado civil."
      birthday:
        type: string
        description: "Data de nascimento."
      nationalityId:
        type: string
        description: "Identificador da nacionalidade."
      nationalityName:
        type: string
        description: "Nome da nacionalidade."
      nationalityCode:
        type: number
        description: "Código da nacionalidade."
      isDisabledPerson:
        type: boolean
        description: "Indica se é uma pessoa com deficiência."
      placeOfBirthId:
        type: string
        description: "Identificador do local de nascimento."
      placeOfBirthName:
        type: string
        description: "Nome do local de nascimento."
      placeOfBirthStateId:
        type: string
        description: "Identificador do estado de nascimento."      
      placeOfBirthStateName:
        type: string
        description: "Nome do estado de nascimento."
      placeOfBirthStateAbbreviation:
        type: string
        description: "Sigla do estado de nascimento."
      placeOfBirthCountryId:
        type: string
        description: "Identificador do país de nascimento."
      placeOfBirthCountryName:
        type: string
        description: "Nome do país de nascimento."
      placeOfBirthCountryAbbreviation:
        type: string
        description: "Sigla do país de nascimento."
